<!doctype html>
<html lang="en">
    <head>
        <meta charset="utf-8">
        <meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no">
        <meta name="description" content="">
        <meta name="author" content="">
        <title>Dispositivos</title>

        <link rel="stylesheet" type="text/css" href="css/healthtrack.css">
        <link rel="stylesheet" type="text/css" href="node_modules/bootstrap/dist/css/bootstrap.css"/>
        <link rel="stylesheet" type="text/css" href="node_modules/datatables.net-dt/css/jquery.dataTables.css"/>
        <link rel="stylesheet" type="text/css" href="node_modules/bootstrap-datepicker/dist/css/bootstrap-datepicker.min.css"/>

    </head>
    <body>
        <nav class="navbar navbar-dark sticky-top bg-dark flex-md-nowrap p-0">
            <div class="col-sm-3 col-md-2 mr-0">
                <div class="ht-logo d-flex justify-content-center">
                    <img src="img/logo.png" alt="Logo" height="45">
                </div>
            </div>
            <ul class="navbar-nav px-3">
                <li class="nav-item text-nowrap">
                    <a class="nav-link" href="index.html">Sair</a>
                </li>
            </ul>
        </nav>
        <div class="container-fluid">
            <div class="row">
                <nav class="col-md-2 d-none d-md-block bg-light sidebar">
                    <div class="sidebar-sticky">
                        <ul class="nav flex-column">
                            <li class="nav-item">
                                <a class="nav-link" href="dashboard.html">
                                <span data-feather="home"></span>
                                Dashboard
                                </a>
                            </li>
                            <li class="nav-item">
                                <a class="nav-link" href="cadastro.html">
                                <span data-feather="users"></span>
                                Cadastro
                                </a>
                            </li>
                            <li class="nav-item">
                                <a class="nav-link active" href="dispositivos.html">
                                <span data-feather="folder"></span>
                                Dispositivos <span class="sr-only">(current)</span>
                                </a>
                            </li>
                        </ul>
                    </div>
                </nav>


                <main role="main" class="col-md-9 ml-sm-auto col-lg-10 pt-3 px-4">

                    <div class="row">
                        <div class="col">
                            <h2 class="h2">Dispositivos</h2><hr>
                        </div>
                    </div>
                    <div class="row">
                        <div class="col">
                            <form class="form-inline">
                                <div class="form-group mx-sm-2 mb-2">
                                    <input type="text" class="form-control" id="input_id" placeholder="" disabled>
                                </div>
                                <div class="form-group mx-sm-2 mb-2">
                                    <input type="text" class="form-control" id="input_id_usuario" placeholder="" disabled>
                                </div>
                                <div class="form-group mx-sm-2 mb-2">
                                    <input type="text" class="form-control" id="input_ip" placeholder="ip">
                                </div>
                                <div class="form-group mx-sm-2 mb-2">
                                    <input type="text" class="form-control" id="input_nome" placeholder="nome">
                                </div>
                                <div class="form-group mx-sm-2 mb-2">
                                    <input type="text" class="form-control" id="input_descricao" placeholder="descricao">
                                </div>
                                <div class="form-group mx-sm-2 mb-2">
                                    <!-- <input type="text" class="form-control" id="input_ativo" placeholder="ativo"> -->
                                    <label class="mx-sm-2">Ativo</label>
                                    <select class="form-control" id="select_ativo">
                                        <option>...</option>
                                        <option value="true">TRUE</option>
                                        <option value="false">FALSE</option>
                                    </select>

                                </div>
                                <div class="form-group mx-sm-2 mb-2">
                                    <!-- <input type="text" class="form-control" id="input_consumo" placeholder="consumo"> -->
                                    <label class="mx-sm-2">Consumo</label>
                                    <select class="form-control" id="select_consumo">
                                        <option>...</option>
                                        <option value="true">TRUE</option>
                                        <option value="false">FALSE</option>
                                    </select>
                                </div>
                                <a class="btn btn-primary mx-sm-2 mb-2" id="btn_criarEditar" href="javascript:Dispositivos.criar()">Adicionar</a>
                                <a class="btn btn-danger mx-sm-2 mb-2" id="btn_remover" href="#" style="display: none">Remover</a>
                            </form>
                        </div>
                    </div>
                    <div class="row">
                        <div class="col mt-3">
                            <h2 class="h2">Lista</h2><hr>
                        </div>
                    </div>
                    <div class="row">
                        <div class="col">
                            <div class="alert alert-info" role="alert">
                                Você pode editar qualquer dispositivo clicando sobre a linha desejada
                                <button type="button" class="close" data-dismiss="alert" aria-label="Close"><span aria-hidden="true">&times;</span></button>
                            </div>
                        </div>
                    </div>
                    <div class="row">
                        <div class="col">
                            <div id="container-peso"></div>
                        </div>
                    </div>

                </main>
            </div>
        </div>

        <div id="modal-campos-obrigatorios" class="modal" tabindex="-1" role="dialog">
            <div class="modal-dialog" role="document">
                <div class="card text-white bg-danger">
                    <div class="card-header">Atenção
                        <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                            <span aria-hidden="true">&times;</span>
                        </button>
                    </div>
                    <div class="card-body">
                        <p class="card-text">Preencher todos os campos obrigatórios</p>
                    </div>
                </div>
            </div>
        </div>

        <div id="modal-dados-salvos" class="modal" tabindex="-1" role="dialog">
            <div class="modal-dialog" role="document">
                <div class="card text-white bg-success">
                    <div class="card-header">Peso
                        <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                            <span aria-hidden="true">&times;</span>
                        </button>
                    </div>
                    <div class="card-body">
                        <p class="card-text">Novo peso adicionado</p>
                    </div>
                </div>
            </div>
        </div>

        <script type="text/javascript" src="node_modules/jquery/dist/jquery.min.js"></script>
        <script type="text/javascript" src="node_modules/popper.js/dist/umd/popper.min.js"></script>
        <script type="text/javascript" src="node_modules/bootstrap/dist/js/bootstrap.js"></script>
        <script type="text/javascript" src="node_modules/feather-icons/dist/feather.min.js"></script>
        <script type="text/javascript" src="node_modules/datatables.net/js/jquery.dataTables.js"></script>
        <script type="text/javascript" src="node_modules/jquery-mask-plugin/dist/jquery.mask.min.js"></script>
        <script type="text/javascript" src="node_modules/bootstrap-datepicker/dist/js/bootstrap-datepicker.min.js"></script>
        <script type="text/javascript" src="node_modules/bootstrap-datepicker/dist/locales/bootstrap-datepicker.pt-BR.min.js" charset="UTF-8"></script>

        <script>
            feather.replace()
        </script>

        <script type="text/javascript" src="js/rest_dispositivos.js"></script>
        <script type="text/javascript" src="js/dispositivos.js"></script>
        <script src="js/session_storage.js"></script>
        <script type="text/javascript">
            $(document).ready(function() {
                SessionStorage.verifyLogged();
                Dispositivos.init();
            });
        </script>
    </body>
</html>